Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sig.rsa
Class RSA

    java.lang.Object
      |
      +--gnu.crypto.sig.rsa.RSA

public class RSA
extends java.lang.Object

Utility methods related to the RSA algorithm.

References:

1. RSA-PSS Signature Scheme with Appendix, part B.
   Primitive specification and supporting documentation.
   Jakob Jonsson and Burt Kaliski.

Version:
  $Revision: 1.2 $

Method Summary
`static java.math.BigInteger` | `sign(java.security.PrivateKey K, java.math.BigInteger m)` An implementation of the RSASP method: Assuming that the designated RSA private key is a valid one, this method computes a signature representative for a designated message representative signed by the holder of the designated RSA private key.
`static java.math.BigInteger` | `verify(java.security.PublicKey K, java.math.BigInteger s)` An implementation of the RSAVP method: Assuming that the designated RSA public key is a valid one, this method computes a message representative for the designated signature representative generated by an RSA private key, for a message intended for the holder of the designated RSA public key.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sign

    public static java.math.BigInteger sign(java.security.PrivateKey K,
                                            java.math.BigInteger m)

  An implementation of the RSASP method: Assuming that the designated RSA private key is a valid one, this method computes a signature representative for a designated message representative signed by the holder of the designated RSA private key.

  Parameters:
    `K` - the RSA private key.
    `m` - the message representative: an integer between `0` and `n - 1`, where `n` is the RSA modulus.
  Returns:
    the signature representative, an integer between `0` and `n - 1`, where `n` is the RSA modulus.
  Throws:
    `java.lang.IllegalArgumentException` - if the key is not an RSA one, or if `m` (the message representative) is out of range.

### verify

    public static java.math.BigInteger verify(java.security.PublicKey K,
                                              java.math.BigInteger s)

  An implementation of the RSAVP method: Assuming that the designated RSA public key is a valid one, this method computes a message representative for the designated signature representative generated by an RSA private key, for a message intended for the holder of the designated RSA public key.

  Parameters:
    `K` - the RSA public key.
    `s` - the signature representative, an integer between `0` and `n - 1`, where `n` is the RSA modulus.
  Returns:
    a message representative: an integer between `0` and `n - 1`, where `n` is the RSA modulus.
  Throws:
    `java.lang.IllegalArgumentException` - if the key is not an RSA one or if `s` (the signature representative) is out of range.

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.